/**
 * Copyright (c) 2019 人人开源 All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.commons.mybatis.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 租户基础实体类，所有租户实体都需要继承
 *
 * @author Mark sunlightcs@gmail.com
 */
@Data
@EqualsAndHashCode(callSuper=false)
public abstract class BaseTenantEntity extends BaseEntity {
    /**
     * 租户编码
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantCode;
}
